%global momorel 1

%define __libtoolize :

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Summary: IPMI (Intelligent Platform Management Interface) library and tools
Name: OpenIPMI
Version: 2.0.16
Release: %{momorel}m%{?dist}
License: GPLv2+ and LGPLv2+ and Modified BSD and BSD
Group: System Environment/Base
URL: http://sourceforge.net/projects/openipmi/
Source0: http://downloads.sourceforge.net/openipmi/%{name}-%{version}.tar.gz
Source1: openipmi.sysconf
Source2: openipmi.initscript
Source3: openipmigui.desktop
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gdbm-devel swig glib-devel ncurses-devel
BuildRequires: net-snmp-devel >= 5.4
BuildRequires: openssl-devel python-devel perl-devel tcl-devel
BuildRequires: tkinter >= 2.5.1-9m
BuildRequires: desktop-file-utils
Requires(post): chkconfig
Requires(preun): chkconfig

%description
The Open IPMI project aims to develop an open code base to allow access to
platform information using Intelligent Platform Management Interface (IPMI).
This package contains the tools of the OpenIPMI project.

%package libs
Group: Development/Libraries
Summary: The OpenIPMI runtime libraries

%description libs
The OpenIPMI-libs package contains the runtime libraries for shared binaries
and applications.

%package perl
Group: Development/Libraries
Summary: IPMI Perl language bindings
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description perl
The OpenIPMI-perl package contains the Perl language bindings for OpenIPMI.

%package python
Group: Development/Libraries
Summary: IPMI Python language bindings

%description python
The OpenIPMI-python package contains the Python language bindings for OpenIPMI.

%package devel
Group: Development/Libraries
Summary: The development environment for the OpenIPMI project
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}

%description devel
The OpenIPMI-devel package contains the development libraries and header files
of the OpenIPMI project.

%package gui
Group: System Environment/Base
Summary: IPMI graphical user interface tool
Requires: tix tkinter %{name}-python = %{version}-%{release}

%description gui
The OpenIPMI-gui package contains the graphical user interface to monitor
and control IPMI-enabled devices.


%prep
%setup -q

%build
export CFLAGS=-fPIC
%configure --with-pythoninstall=%{python_sitearch} --disable-dependency-tracking --with-tcl=no --disable-static --program-transform-name=""
# get rid of rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make   # not %{?_smp_mflags} safe

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_libdir}/*.la

# Remove python cruft in 32bit libdir on 64bit archs...
%ifarch ppc64 s390x x86_64
rm -rf %{buildroot}/usr/lib
%endif

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %SOURCE1 %{buildroot}%{_sysconfdir}/sysconfig/ipmi
install -d %{buildroot}%{_initscriptdir}
install -m 755 %SOURCE2 %{buildroot}%{_initscriptdir}/ipmi

desktop-file-install --vendor= --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}

%post
/sbin/chkconfig --add ipmi

%preun
if [ $1 = 0 ]; then
   service ipmi stop >/dev/null 2>&1
   /sbin/chkconfig --del ipmi
fi

%postun
if [ "$1" -ge "1" ]; then
    service ipmi condrestart >/dev/null 2>&1 || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/ipmi
%{_initscriptdir}/ipmi
%{_bindir}/ipmicmd
%{_bindir}/ipmilan
%{_bindir}/ipmish
%{_bindir}/ipmi_ui
%{_bindir}/openipmicmd
%{_bindir}/openipmish
%{_bindir}/rmcp_ping
%{_bindir}/solterm
%{_mandir}/man1/ipmi_ui*
%{_mandir}/man1/openipmicmd*
%{_mandir}/man1/openipmish*
%{_mandir}/man1/rmcp_ping*
%{_mandir}/man1/solterm*
%{_mandir}/man7/ipmi_cmdlang*
%{_mandir}/man7/openipmi_conparms*
%{_mandir}/man8/ipmilan*

%files perl
%defattr(-,root,root)
%attr(644,root,root) %{perl_vendorarch}/OpenIPMI.pm
%{perl_vendorarch}/auto/OpenIPMI/

%files python
%defattr(-,root,root)
%{python_sitearch}/*OpenIPMI*

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/OpenIPMI
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files gui
%defattr(-,root,root)
%{_bindir}/openipmigui
%{_mandir}/man1/openipmigui*
%{python_sitearch}/openipmigui
%{_datadir}/applications/openipmigui.desktop

%changelog
* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.16-1m)
- sync with Fedora 11 (2.0.16-1)
- %%define __libtoolize :

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.14-5m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.14-4m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.14-3m)
- rebuild against python-2.6.1-2m

* Sun Jun 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.14-2m)
- remove man files from devel package (to avoid conflicting with main package)

* Sun Jun 15 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.14-1m)
- sync Fedora
- version up 2.0.14

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.11-9m)
- rebuild against openssl-0.9.8h-1m

* Mon Apr 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.11-8m)
- rebuild against tkinter-2.5.1-9m

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.11-7m)
- rebuild against Tcl/Tk 8.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.11-6m)
- rebuild against gcc43

* Sun Feb  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.11-5m)
- rebuild against perl-5.10.0

* Thu Jan  3 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.11-4m)
- added BuildPrereq: tkinter

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.11-3m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.11-2m)
- rebuild against net-snmp

* Thu Mar 22 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.0.11-1m)
- up to 2.0.11
- prdownloads.sorceforge.net -> dl.sourceforge.net

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.10-2m)
- revise %%files to avoid conflicting

* Mon Jan 22 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.10-1m)
- first build in Momonga Linux
- spec based on 2.0.6-7 from FC7 
